Name:           perl-Text-ASCIITable
Version:        0.22
Release:    1%{?dist}
Summary:        Create a nice formatted table using ASCII characters
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Text-ASCIITable
Source0:        https://cpan.metacpan.org/authors/id/L/LU/LUNATIC/Text-ASCIITable-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(Carp)
BuildRequires:  perl(Encode)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(List::Util)
BuildRequires:  perl(Module::Build) >= 0.27

%description
Pretty nifty if you want to output dynamic text to your console or other
fixed-size-font displays, and at the same time it will display it in a nice
human-readable, or "cool" way.

%prep
%setup -q -n Text-ASCIITable-%{version}
for i in ansi-example.pl lib/Text/ASCIITable/Wrap.pm t/*; do
    iconv -f iso8859-1 -t utf-8 $i > $i.conv && mv -f $i.conv $i
done

%build
/usr/bin/perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=%{buildroot} create_packlist=0
%{_fixperms} %{buildroot}/*

%check
./Build test

%files
%doc Changes README ansi-example.pl
%{perl_vendorlib}/Text*
%{_mandir}/man3/Text*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.22-1
- initial build
